#
# spec file for package dictd (Version 1.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dictd
Copyright:    GPL
Group:        Applications/Productivity
Provides:     dictd 
Autoreqprov:  on
Summary:      Electronic online dictionaries
Version:      1.4.9
Release:      331
Source0: dictd-1.4.9.tar.gz
Source1: dictd.init
Source2: rc.config.dictd
Patch0: dictd-1.4.9.dif

%description
This package contains two programs. With 'dict' you have access to a
few powerful electronic dictionaries on the Internet. With 'dictd' you
can setup such a dictionary yourself. To look up, for example, the word
'grunt', just type
dict grunt
See the man pages of dict and dictd for details.

Authors:
--------
    Rik Faith <faith@cs.unc.edu>

SuSE series: ap

%prep
%setup -n dictd-1.4.9
%patch -P 0 -E

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/usr \
  --mandir=%{_mandir}
make

%install
make install
mv dictd.conf /etc/dictd.conf
install -m 0755 $RPM_SOURCE_DIR/dictd.init /etc/init.d/dictd
ln -sf /etc/init.d/dictd /usr/sbin/rcdictd
install -m 0644 $RPM_SOURCE_DIR/rc.config.dictd /var/adm/fillup-templates/

%files
%doc ANNOUNCE COPYING ChangeLog README TODO example*
%doc doc/dicf.ms doc/rfc.ms doc/rfc2229.txt doc/security.doc
/usr/bin/dict
/usr/bin/dictzip
%doc %{_mandir}/man1/dict.1.gz
%doc %{_mandir}/man1/dictzip.1.gz
%doc %{_mandir}/man8/dictd.8.gz
/usr/sbin/dictd
/var/adm/fillup-templates/rc.config.dictd
%config 
/etc/dictd.conf
/etc/init.d/dictd
/usr/sbin/rcdictd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
	bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dictd
else
	echo "ERROR: fillup not found. This should not happen. Please compare"
	echo "etc/rc.config and var/adm/fillup-templates/rc.config.dictd"
	echo "and update by hand."
fi
sbin/insserv etc/init.d/dictd

%postun
sbin/insserv etc/init.d/

%changelog -n dictd
* Wed Jun 06 2001 - ro@suse.de
- mark used files as Source
* Wed May 30 2001 - uwedr@suse.de
- improved spec file (#7139):
  no more --with-qt and some paths corrected
- new rc.config variable START_DICTD and init script added, so the
  server dictd can be started now (if /etc/dictd.conf is configured
  properly and at least one dictionary is installed)
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Tue Feb 15 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 15 2000 - aj@suse.de
- Removed prototypes for SunOS/Solaris.
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 28 1999 - ro@suse.de
- fixed: dict.c: stdout is not constant
* Fri Apr 09 1999 - kettner@suse.de
- Created spec file from dictd-1.4.9.tar.gz using autospec script
